%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:    MAT File I/O Library
Name:       matio
Version:    1.5.2
Release:    %mkrel 7
License:    LGPLv2+
Group:      System/Libraries
Url:        http://sourceforge.net/projects/matio/
Source0:    http://downloads.sourceforge.net/matio/%{name}-%{version}.tar.gz
Patch0:         matio-1.5.0-fix-linking.patch
BuildRequires:  zlib-devel
BuildRequires:  doxygen
BuildRequires:  dvips
BuildRequires:  latex
BuildRequires:  hdf5-devel

%description
matio is an ISO C library (with a limited Fortran 90 interface)
for reading and writing Matlab MAT files.

%package -n %{libname}
Summary:    MAT File I/O Library
Group:      System/Libraries
Provides:   lib%{name} = %{version}-%{release}

%description -n %{libname}
matio is an ISO C library (with a limited Fortran 90 interface)
for reading and writing Matlab MAT files.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C++
Provides:   %{name}-devel = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x \
    --enable-shared --disable-static \
    --disable-fortran \
    --enable-extended-sparse=yes \
    --enable-test=no \
    --enable-docs=yes \
    %if %{_lib} != lib
    --with-libdir-suffix=lib64
    %endif

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make

%install
%makeinstall_std

rm -rf %{buildroot}%{_docdir}/matio %{buildroot}%{_libdir}/*.la

%files
%_bindir/matdump
%_mandir/man3/*

%files -n %{libname}
%{_libdir}/*%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS README 
%{_includedir}/*.h
%{_libdir}/*%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.5.2-7.mga6
+ Revision: 956115
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 daviddavid <daviddavid> 1.5.2-6.mga6
+ Revision: 855898
- rebuild with new hdf5

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-5.mga5
+ Revision: 746692
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.2-4.mga5
+ Revision: 727221
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.5.2-2.mga4
+ Revision: 540648
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 grenoya <grenoya> 1.5.2-1.mga4
+ Revision: 494107
- new version 1.5.2

* Tue Jul 16 2013 fwang <fwang> 1.5.0-2.mga4
+ Revision: 455025
- more linkage fix
- rebuild for new hdf5

* Thu Jan 17 2013 pterjan <pterjan> 1.5.0-1.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Wed Jan 16 2013 dmorgan <dmorgan> 1.5.0-1.mga3
+ Revision: 388636
- New version ( needed by scilab)

* Sat Jan 12 2013 umeabot <umeabot> 1.3.4-2.mga3
+ Revision: 359568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 28 2011 grenoya <grenoya> 1.3.4-1.mga1
+ Revision: 78504
- clean old Mdv syntax
- add patch for documentation
- imported package matio


* Sat Aug 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.4-1mdv2011.0
+ Revision: 567440
- update to new version 1.3.4
- rediff patch 0

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.3.3-3mdv2010.0
+ Revision: 439789
- rebuild

* Sun Dec 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.3-2mdv2009.1
+ Revision: 314244
- new license policy
- provide libmatio

* Sun Nov 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.3-1mdv2009.1
+ Revision: 301633
- add source and spec files
- Created package structure for matio.

